Bug 525129

Summary: sound: hda_intel:
Product: [Fedora] Fedora Reporter: Amit Shah <amit.shah>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 11CC: amit.shah, dougsland, gansalmon, itamar, kernel-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-06-28 14:46:57 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Amit Shah 2009-09-23 14:02:14 UTC
Description of problem:

Started getting these recently. They seem to start after about 4-5 days of uptime.

These keep repeating very frequently. pulseaudio seems to open and close the device on each new output (centerim uses 'play' a lot).

Kernel failure message 1:
------------[ cut here ]------------
WARNING: at sound/pci/hda/hda_codec.c:3893 snd_array_new+0x5d/0xeb [snd_hda_codec]() (Tainted: G        W )
Hardware name: 7459H98
BUG? (num >= 4096)
Modules linked in: cpufreq_stats nls_utf8 vfat fat usb_storage tun fuse sco bridge stp llc bnep l2cap bluetooth sunrpc ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 cpufreq_ondemand acpi_cpufreq freq_table dm_multipath kvm_intel kvm uinput arc4 ecb pcspkr iwlagn i2c_i801 iwlcore iTCO_wdt iTCO_vendor_support snd_hda_codec_conexant lib80211 mac80211 snd_hda_intel cfg80211 snd_hda_codec snd_hwdep snd_pcm snd_timer snd soundcore snd_page_alloc e1000e ata_generic thinkpad_acpi wmi pata_acpi rfkill hwmon xts gf128mul cryptd aes_x86_64 aes_generic dm_crypt i915 drm i2c_algo_bit video output i2c_core [last unloaded: microcode]
Pid: 2244, comm: pulseaudio Tainted: G        W  2.6.30.5-43.fc11.x86_64 #1
Call Trace:
 [<ffffffff81057104>] warn_slowpath_common+0x95/0xc3
 [<ffffffff810571bf>] warn_slowpath_fmt+0x50/0x66
 [<ffffffffa015e949>] snd_array_new+0x5d/0xeb [snd_hda_codec]
 [<ffffffffa01cdd04>] conexant_add_jack+0x51/0xcc [snd_hda_codec_conexant]
 [<ffffffffa01cddf0>] cxt5051_init+0x71/0xe6 [snd_hda_codec_conexant]
 [<ffffffffa015f6b2>] ? restore_pincfgs+0x71/0xad [snd_hda_codec]
 [<ffffffffa0146bd0>] ? snd_pcm_hw_rule_muldivk+0x0/0x89 [snd_pcm]
 [<ffffffffa015fe03>] hda_call_codec_resume+0x76/0xa1 [snd_hda_codec]
 [<ffffffffa015fef1>] snd_hda_power_up+0x4f/0x7d [snd_hda_codec]
 [<ffffffffa0188baa>] azx_pcm_open+0x13c/0x1d0 [snd_hda_intel]
 [<ffffffffa0146705>] snd_pcm_open_substream+0x6d/0xde [snd_pcm]
 [<ffffffffa0146851>] snd_pcm_open+0xdb/0x21b [snd_pcm]
 [<ffffffff81497359>] ? mutex_lock+0x36/0x71
 [<ffffffff8104e4e6>] ? default_wake_function+0x0/0x3b
 [<ffffffffa0146a2f>] snd_pcm_playback_open+0x40/0x5b [snd_pcm]
 [<ffffffffa012d4c8>] snd_open+0x114/0x1a2 [snd]
 [<ffffffff81118638>] chrdev_open+0x153/0x188
 [<ffffffff811184e5>] ? chrdev_open+0x0/0x188
 [<ffffffff81112c8a>] __dentry_open+0x14b/0x28f
 [<ffffffff81112ece>] nameidata_to_filp+0x51/0x76
 [<ffffffff8112133a>] do_filp_open+0x497/0x8a0
 [<ffffffff8122de6e>] ? might_fault+0x32/0x48
 [<ffffffff8112c74e>] ? alloc_fd+0x8a/0x146
 [<ffffffff811129e6>] do_sys_open+0x6b/0x103
 [<ffffffff81112aeb>] sys_open+0x33/0x49
 [<ffffffff81012082>] system_call_fastpath+0x16/0x1b
---[ end trace 2ab614a7477a19f4 ]---


Kernel failure message 2:
------------[ cut here ]------------
WARNING: at sound/pci/hda/hda_codec.c:3893 snd_array_new+0x5d/0xeb [snd_hda_codec]() (Tainted: G        W )
Hardware name: 7459H98
BUG? (num >= 4096)
Modules linked in: cpufreq_stats nls_utf8 vfat fat usb_storage tun fuse sco bridge stp llc bnep l2cap bluetooth sunrpc ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 cpufreq_ondemand acpi_cpufreq freq_table dm_multipath kvm_intel kvm uinput arc4 ecb pcspkr iwlagn i2c_i801 iwlcore iTCO_wdt iTCO_vendor_support snd_hda_codec_conexant lib80211 mac80211 snd_hda_intel cfg80211 snd_hda_codec snd_hwdep snd_pcm snd_timer snd soundcore snd_page_alloc e1000e ata_generic thinkpad_acpi wmi pata_acpi rfkill hwmon xts gf128mul cryptd aes_x86_64 aes_generic dm_crypt i915 drm i2c_algo_bit video output i2c_core [last unloaded: microcode]
Pid: 2244, comm: pulseaudio Tainted: G        W  2.6.30.5-43.fc11.x86_64 #1
Call Trace:
 [<ffffffff81057104>] warn_slowpath_common+0x95/0xc3
 [<ffffffff810571bf>] warn_slowpath_fmt+0x50/0x66
 [<ffffffffa015e949>] snd_array_new+0x5d/0xeb [snd_hda_codec]
 [<ffffffffa01cdd04>] conexant_add_jack+0x51/0xcc [snd_hda_codec_conexant]
 [<ffffffffa01cddf0>] cxt5051_init+0x71/0xe6 [snd_hda_codec_conexant]
 [<ffffffffa015f6b2>] ? restore_pincfgs+0x71/0xad [snd_hda_codec]
 [<ffffffffa0146bd0>] ? snd_pcm_hw_rule_muldivk+0x0/0x89 [snd_pcm]
 [<ffffffffa015fe03>] hda_call_codec_resume+0x76/0xa1 [snd_hda_codec]
 [<ffffffffa015fef1>] snd_hda_power_up+0x4f/0x7d [snd_hda_codec]
 [<ffffffffa0188baa>] azx_pcm_open+0x13c/0x1d0 [snd_hda_intel]
 [<ffffffffa0146705>] snd_pcm_open_substream+0x6d/0xde [snd_pcm]
 [<ffffffffa0146851>] snd_pcm_open+0xdb/0x21b [snd_pcm]
 [<ffffffff81497359>] ? mutex_lock+0x36/0x71
 [<ffffffff8104e4e6>] ? default_wake_function+0x0/0x3b
 [<ffffffffa0146a2f>] snd_pcm_playback_open+0x40/0x5b [snd_pcm]
 [<ffffffffa012d4c8>] snd_open+0x114/0x1a2 [snd]
 [<ffffffff81118638>] chrdev_open+0x153/0x188
 [<ffffffff811184e5>] ? chrdev_open+0x0/0x188
 [<ffffffff81112c8a>] __dentry_open+0x14b/0x28f
 [<ffffffff81112ece>] nameidata_to_filp+0x51/0x76
 [<ffffffff8112133a>] do_filp_open+0x497/0x8a0
 [<ffffffff8122de6e>] ? might_fault+0x32/0x48
 [<ffffffff8112c74e>] ? alloc_fd+0x8a/0x146
 [<ffffffff811129e6>] do_sys_open+0x6b/0x103
 [<ffffffff81112aeb>] sys_open+0x33/0x49
 [<ffffffff81012082>] system_call_fastpath+0x16/0x1b
---[ end trace 2ab614a7477a19f3 ]---


Kernel failure message 3:
------------[ cut here ]------------
WARNING: at sound/pci/hda/hda_codec.c:3893 snd_array_new+0x5d/0xeb [snd_hda_codec]() (Tainted: G        W )
Hardware name: 7459H98
BUG? (num >= 4096)
Modules linked in: cpufreq_stats nls_utf8 vfat fat usb_storage tun fuse sco bridge stp llc bnep l2cap bluetooth sunrpc ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 cpufreq_ondemand acpi_cpufreq freq_table dm_multipath kvm_intel kvm uinput arc4 ecb pcspkr iwlagn i2c_i801 iwlcore iTCO_wdt iTCO_vendor_support snd_hda_codec_conexant lib80211 mac80211 snd_hda_intel cfg80211 snd_hda_codec snd_hwdep snd_pcm snd_timer snd soundcore snd_page_alloc e1000e ata_generic thinkpad_acpi wmi pata_acpi rfkill hwmon xts gf128mul cryptd aes_x86_64 aes_generic dm_crypt i915 drm i2c_algo_bit video output i2c_core [last unloaded: microcode]
Pid: 2244, comm: pulseaudio Tainted: G        W  2.6.30.5-43.fc11.x86_64 #1
Call Trace:
 [<ffffffff81057104>] warn_slowpath_common+0x95/0xc3
 [<ffffffff810571bf>] warn_slowpath_fmt+0x50/0x66
 [<ffffffffa015e949>] snd_array_new+0x5d/0xeb [snd_hda_codec]
 [<ffffffffa01cdd04>] conexant_add_jack+0x51/0xcc [snd_hda_codec_conexant]
 [<ffffffffa01cddf0>] cxt5051_init+0x71/0xe6 [snd_hda_codec_conexant]
 [<ffffffffa015f6b2>] ? restore_pincfgs+0x71/0xad [snd_hda_codec]
 [<ffffffffa0146bd0>] ? snd_pcm_hw_rule_muldivk+0x0/0x89 [snd_pcm]
 [<ffffffffa015fe03>] hda_call_codec_resume+0x76/0xa1 [snd_hda_codec]
 [<ffffffffa015fef1>] snd_hda_power_up+0x4f/0x7d [snd_hda_codec]
 [<ffffffffa0188baa>] azx_pcm_open+0x13c/0x1d0 [snd_hda_intel]
 [<ffffffffa0146705>] snd_pcm_open_substream+0x6d/0xde [snd_pcm]
 [<ffffffffa0146851>] snd_pcm_open+0xdb/0x21b [snd_pcm]
 [<ffffffff81497359>] ? mutex_lock+0x36/0x71
 [<ffffffff8104e4e6>] ? default_wake_function+0x0/0x3b
 [<ffffffffa0146a2f>] snd_pcm_playback_open+0x40/0x5b [snd_pcm]
 [<ffffffffa012d4c8>] snd_open+0x114/0x1a2 [snd]
 [<ffffffff81118638>] chrdev_open+0x153/0x188
 [<ffffffff811184e5>] ? chrdev_open+0x0/0x188
 [<ffffffff81112c8a>] __dentry_open+0x14b/0x28f
 [<ffffffff81112ece>] nameidata_to_filp+0x51/0x76
 [<ffffffff8112133a>] do_filp_open+0x497/0x8a0
 [<ffffffff8122de6e>] ? might_fault+0x32/0x48
 [<ffffffff8112c74e>] ? alloc_fd+0x8a/0x146
 [<ffffffff811129e6>] do_sys_open+0x6b/0x103
 [<ffffffff81112aeb>] sys_open+0x33/0x49
 [<ffffffff81012082>] system_call_fastpath+0x16/0x1b
---[ end trace 2ab614a7477a19f2 ]---


Kernel failure message 4:
------------[ cut here ]------------
WARNING: at sound/pci/hda/hda_codec.c:3893 snd_array_new+0x5d/0xeb [snd_hda_codec]() (Tainted: G        W )
Hardware name: 7459H98
BUG? (num >= 4096)
Modules linked in: cpufreq_stats nls_utf8 vfat fat usb_storage tun fuse sco bridge stp llc bnep l2cap bluetooth sunrpc ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 cpufreq_ondemand acpi_cpufreq freq_table dm_multipath kvm_intel kvm uinput arc4 ecb pcspkr iwlagn i2c_i801 iwlcore iTCO_wdt iTCO_vendor_support snd_hda_codec_conexant lib80211 mac80211 snd_hda_intel cfg80211 snd_hda_codec snd_hwdep snd_pcm snd_timer snd soundcore snd_page_alloc e1000e ata_generic thinkpad_acpi wmi pata_acpi rfkill hwmon xts gf128mul cryptd aes_x86_64 aes_generic dm_crypt i915 drm i2c_algo_bit video output i2c_core [last unloaded: microcode]
Pid: 2244, comm: pulseaudio Tainted: G        W  2.6.30.5-43.fc11.x86_64 #1
Call Trace:
 [<ffffffff81057104>] warn_slowpath_common+0x95/0xc3
 [<ffffffffa0188d58>] ? azx_send_cmd+0x11a/0x13b [snd_hda_intel]
 [<ffffffff810571bf>] warn_slowpath_fmt+0x50/0x66
 [<ffffffffa015e949>] snd_array_new+0x5d/0xeb [snd_hda_codec]
 [<ffffffffa01cdd04>] conexant_add_jack+0x51/0xcc [snd_hda_codec_conexant]
 [<ffffffffa01cddf0>] cxt5051_init+0x71/0xe6 [snd_hda_codec_conexant]
 [<ffffffffa015f6b2>] ? restore_pincfgs+0x71/0xad [snd_hda_codec]
 [<ffffffffa0146bd0>] ? snd_pcm_hw_rule_muldivk+0x0/0x89 [snd_pcm]
 [<ffffffffa015fe03>] hda_call_codec_resume+0x76/0xa1 [snd_hda_codec]
 [<ffffffffa015fef1>] snd_hda_power_up+0x4f/0x7d [snd_hda_codec]
 [<ffffffffa0188baa>] azx_pcm_open+0x13c/0x1d0 [snd_hda_intel]
 [<ffffffffa0146705>] snd_pcm_open_substream+0x6d/0xde [snd_pcm]
 [<ffffffffa0146851>] snd_pcm_open+0xdb/0x21b [snd_pcm]
 [<ffffffff81497359>] ? mutex_lock+0x36/0x71
 [<ffffffff8104e4e6>] ? default_wake_function+0x0/0x3b
 [<ffffffffa0146a2f>] snd_pcm_playback_open+0x40/0x5b [snd_pcm]
 [<ffffffffa012d4c8>] snd_open+0x114/0x1a2 [snd]
 [<ffffffff81118638>] chrdev_open+0x153/0x188
 [<ffffffff811184e5>] ? chrdev_open+0x0/0x188
 [<ffffffff81112c8a>] __dentry_open+0x14b/0x28f
 [<ffffffff81112ece>] nameidata_to_filp+0x51/0x76
 [<ffffffff8112133a>] do_filp_open+0x497/0x8a0
 [<ffffffff8122de6e>] ? might_fault+0x32/0x48
 [<ffffffff8112c74e>] ? alloc_fd+0x8a/0x146
 [<ffffffff811129e6>] do_sys_open+0x6b/0x103
 [<ffffffff81112aeb>] sys_open+0x33/0x49
 [<ffffffff81012082>] system_call_fastpath+0x16/0x1b
---[ end trace 2ab614a7477a19f1 ]---


Kernel failure message 5:
------------[ cut here ]------------
WARNING: at sound/pci/hda/hda_codec.c:3893 snd_array_new+0x5d/0xeb [snd_hda_codec]() (Tainted: G        W )
Hardware name: 7459H98
BUG? (num >= 4096)
Modules linked in: cpufreq_stats nls_utf8 vfat fat usb_storage tun fuse sco bridge stp llc bnep l2cap bluetooth sunrpc ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 cpufreq_ondemand acpi_cpufreq freq_table dm_multipath kvm_intel kvm uinput arc4 ecb pcspkr iwlagn i2c_i801 iwlcore iTCO_wdt iTCO_vendor_support snd_hda_codec_conexant lib80211 mac80211 snd_hda_intel cfg80211 snd_hda_codec snd_hwdep snd_pcm snd_timer snd soundcore snd_page_alloc e1000e ata_generic thinkpad_acpi wmi pata_acpi rfkill hwmon xts gf128mul cryptd aes_x86_64 aes_generic dm_crypt i915 drm i2c_algo_bit video output i2c_core [last unloaded: microcode]
Pid: 2244, comm: pulseaudio Tainted: G        W  2.6.30.5-43.fc11.x86_64 #1
Call Trace:
 [<ffffffff81057104>] warn_slowpath_common+0x95/0xc3
 [<ffffffffa0188d16>] ? azx_send_cmd+0xd8/0x13b [snd_hda_intel]
 [<ffffffff810571bf>] warn_slowpath_fmt+0x50/0x66
 [<ffffffffa0188d16>] ? azx_send_cmd+0xd8/0x13b [snd_hda_intel]
 [<ffffffffa015e949>] snd_array_new+0x5d/0xeb [snd_hda_codec]
 [<ffffffffa01cdd04>] conexant_add_jack+0x51/0xcc [snd_hda_codec_conexant]
 [<ffffffffa01cddf0>] cxt5051_init+0x71/0xe6 [snd_hda_codec_conexant]
 [<ffffffffa015f6b2>] ? restore_pincfgs+0x71/0xad [snd_hda_codec]
 [<ffffffffa0146bd0>] ? snd_pcm_hw_rule_muldivk+0x0/0x89 [snd_pcm]
 [<ffffffffa015fe03>] hda_call_codec_resume+0x76/0xa1 [snd_hda_codec]
 [<ffffffffa015fef1>] snd_hda_power_up+0x4f/0x7d [snd_hda_codec]
 [<ffffffffa0188baa>] azx_pcm_open+0x13c/0x1d0 [snd_hda_intel]
 [<ffffffffa0146705>] snd_pcm_open_substream+0x6d/0xde [snd_pcm]
 [<ffffffffa0146851>] snd_pcm_open+0xdb/0x21b [snd_pcm]
 [<ffffffff81497359>] ? mutex_lock+0x36/0x71
 [<ffffffff8104e4e6>] ? default_wake_function+0x0/0x3b
 [<ffffffffa0146a2f>] snd_pcm_playback_open+0x40/0x5b [snd_pcm]
 [<ffffffffa012d4c8>] snd_open+0x114/0x1a2 [snd]
 [<ffffffff81118638>] chrdev_open+0x153/0x188
 [<ffffffff811184e5>] ? chrdev_open+0x0/0x188
 [<ffffffff81112c8a>] __dentry_open+0x14b/0x28f
 [<ffffffff81112ece>] nameidata_to_filp+0x51/0x76
 [<ffffffff8112133a>] do_filp_open+0x497/0x8a0
 [<ffffffff8122de6e>] ? might_fault+0x32/0x48
 [<ffffffff8112c74e>] ? alloc_fd+0x8a/0x146
 [<ffffffff811129e6>] do_sys_open+0x6b/0x103
 [<ffffffff81112aeb>] sys_open+0x33/0x49
 [<ffffffff81012082>] system_call_fastpath+0x16/0x1b
---[ end trace 2ab614a7477a19f0 ]---

Comment 1 Chuck Ebbert 2009-09-25 03:11:59 UTC
Looks like every time it comes out of powersave it registers its jacks again. Can you try doing this right after rebooting and see if the problems goes away?

 # echo "0" >/sys/module/snd_hda_intel/parameters/power_save

Comment 2 Amit Shah 2009-09-25 04:06:21 UTC
Those messages have stopped since. I'll try this when I get the messages again.

Comment 3 Bug Zapper 2010-04-28 10:32:04 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2010-06-28 14:46:57 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.